package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.Argument;
import org.eclipse.jdt.internal.compiler.ast.NameReference;
import org.eclipse.jdt.internal.compiler.ast.TypeReference;

public class Receiver extends Argument {
  public NameReference qualifyingName;
  
  public Receiver(char[] name, long posNom, TypeReference typeReference, NameReference qualifyingName, int modifiers) {
    super(name, posNom, typeReference, modifiers);
    this.qualifyingName = qualifyingName;
  }
  
  public boolean isReceiver() {
    return true;
  }
  
  public StringBuffer print(int indent, StringBuffer output) {
    printIndent(indent, output);
    printModifiers(this.modifiers, output);
    if (this.type == null) {
      output.append("<no type> ");
    } else {
      this.type.print(0, output).append(' ');
    } 
    if (this.qualifyingName != null) {
      this.qualifyingName.print(indent, output);
      output.append('.');
    } 
    return output.append(this.name);
  }
}
